Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageToStructuredPoints Class Reference

`#include <vtkImageToStructuredPoints.h>`

Inheritance diagram for vtkImageToStructuredPoints:

[legend]
Collaboration diagram for vtkImageToStructuredPoints:

[legend]
List of all members.

## Detailed Description

Attaches image pipeline to VTK.

Date:
  2002/10/04 20:43:43

Revision:
  1.37

vtkImageToStructuredPoints changes an image cache format to a structured points dataset. It takes an Input plus an optional VectorInput. The VectorInput converts the RGB scalar components of the VectorInput to vector pointdata attributes. This filter will try to reference count the data but in some cases it must make a copy.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (71%)
  - Martin, Ken (19%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImageToStructuredPoints.cxx)`
  - .`h` (`/Filtering/vtkImageToStructuredPoints.h)`

Tests:
  vtkImageToStructuredPoints (Tests)

Definition at line 52 of file vtkImageToStructuredPoints.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
void | SetVectorInput (vtkImageData *input)
vtkImageData * | GetVectorInput ()
vtkStructuredPoints * | GetOutput ()
vtkStructuredPoints * | GetOutput (int idx)
## Static Public Methods
vtkImageToStructuredPoints * | New ()
int | IsTypeOf (const char *type)
vtkImageToStructuredPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageToStructuredPoints ()
| ~vtkImageToStructuredPoints ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *data)
## Protected Attributes
int | Translate [3]

## Member Typedef Documentation

typedef vtkSource vtkImageToStructuredPoints::Superclass

| Reimplemented from vtkSource. Definition at line 56 of file vtkImageToStructuredPoints.h.

## Constructor & Destructor Documentation

vtkImageToStructuredPoints::vtkImageToStructuredPoints | ( |  | ) | `[protected]`

vtkImageToStructuredPoints::~vtkImageToStructuredPoints | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageToStructuredPoints* vtkImageToStructuredPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageToStructuredPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkImageToStructuredPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkImageToStructuredPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkImageToStructuredPoints* vtkImageToStructuredPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

void vtkImageToStructuredPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

void vtkImageToStructuredPoints::SetInput | ( | vtkImageData * | input | ) |

| Set/Get the input object from the image pipeline.

vtkImageData* vtkImageToStructuredPoints::GetInput | ( |  | ) |

| Set/Get the input object from the image pipeline.

void vtkImageToStructuredPoints::SetVectorInput | ( | vtkImageData * | input | ) |

| Set/Get the input object from the image pipeline.

vtkImageData* vtkImageToStructuredPoints::GetVectorInput | ( |  | ) |

| Set/Get the input object from the image pipeline.

vtkStructuredPoints* vtkImageToStructuredPoints::GetOutput | ( |  | ) |

| Get the output of this source.

vtkStructuredPoints* vtkImageToStructuredPoints::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource.

void vtkImageToStructuredPoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkImageToStructuredPoints::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkImageToStructuredPoints::ComputeInputUpdateExtents | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

## Member Data Documentation

int vtkImageToStructuredPoints::Translate[3]`[protected]`

| Definition at line 83 of file vtkImageToStructuredPoints.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImageToStructuredPoints.h